libzypp 17.38.15

ServiceFileReader.cc File Reference
`#include <iostream>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Regex.h>`
`#include <zypp-core/base/InputStream>`
`#include <zypp-core/base/UserRequestException>`
`#include <zypp-core/parser/IniDict>`
`#include <zypp/parser/ServiceFileReader.h>`
`#include <zypp/ServiceInfo.h>`

Go to the source code of this file.

## Classes
class | zypp::parser::ServiceFileReader::Impl
class | IniDict
| Parses a INI file and offers its structure as a dictionary. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::parser

## Functions
std::ostream & | zypp::parser::operator<< (std::ostream &str, const ServiceFileReader &obj)
| relates: ServiceFileReader Stream output